# RouterRule Interface Reference

Inheritance diagram for RouterRule:
[legend]

List of all members.

## Public Member Functions

| match (HttpRequest $request)
| Matches a user submitted path with parts defined by a map.
| assembly (array $data=array(), $reset=false, $encode=false)

## Detailed Description

Definition at line 12 of file RouterRule.class.php.

## Member Function Documentation

RouterRule::assembly | ( | array $ | data = `array()`,
|  | $ | reset = `false`,
|  | $ | encode = `false` |
| ) |  |  |

Implemented in RouterChainRule, RouterHostnameRule, RouterRegexpRule, RouterStaticRule, and RouterTransparentRule.

RouterRule::match | ( | HttpRequest $ | request | ) |

Matches a user submitted path with parts defined by a map.

Assigns and returns an array of variables on a successful match.

Returns:
  array An array of assigned values or empty array() on a mismatch

Implemented in RouterChainRule, RouterHostnameRule, RouterRegexpRule, RouterStaticRule, and RouterTransparentRule.

The documentation for this interface was generated from the following file:

- main/Utils/Routers/RouterRule.class.php